#pragma once
#include <vector>

#include <glm/gtc/matrix_transform.hpp>
#include "glad/glad.h"
#include "GLFW/glfw3.h"

#include "PerfCounter.h"

#include "Graphics/Camera.h"
#include "Graphics/Renderable.h"
#include "Graphics/GPUBucket.h"

namespace BarinkEngine {

	class Renderer {
	public:
		Renderer();
		~Renderer();

		void Render();

		void Submit(Renderable* model);

	private:
		std::vector<GPU_Bucket*> models;

	};
}
