project "BarinkEngine"
  kind "StaticLib"

  buildmessage "Building BarinkEngine"

  includedirs {
    "Include/",

    "../libs/lua/include",
    "../libs/spdlog/include",
    "../libs/glm",
    "../libs/GorillaAudio/include",

    "../libs/physx/physx/include",
    "../libs/steam-audio/include",
    
    "../libs/assimp/include",
    

    "../libs/glad/include",

    "../libs/glfw/include",
    "../libs/glew/include",
    "../libs/glm",
    
    "../libs/ImGui",
  }

  links {
    -- This needs to fall under the filter as the names can differ on different platforms 
    "phonon",
    "lua54",
    "spdlog",
    "assimp-vc143-mtd",
    "glfw3",

    "ImGUI_Opengl3",

    

  }


  libdirs {
    "../libs/steam-audio/lib/windows-x64",
    "../libs/lua",
    "../libs/spdlog/build/Release",
    "../libs/assimp/lib/Debug",
    "../libs/glfw/build/src/Debug",
  }

  files {
    "../libs/glad/src/glad.c",

    "./src/*.cpp",
    "./Include/*.h",
    "./src/**/*.cpp",
    "./Include/**/*.h"
  }



  filter { "system:windows"}
    prebuildcommands {
      -- Copy shaders 
      "copy src\\graphics\\shaders\\fragment.shader            ..\\build\\SandboxApplication\\Debug\\test.fs", 
      "copy src\\graphics\\shaders\\vertex.shader              ..\\build\\SandboxApplication\\Debug\\test.vs",
      "copy src\\graphics\\shaders\\RenderSurfaceFrag.shader   ..\\build\\SandboxApplication\\Debug\\RenderSurface.fs",
      "copy src\\graphics\\shaders\\RenderSurfaceVert.shader   ..\\build\\SandboxApplication\\Debug\\RenderSurface.vs" 
    }
    
   

  filter { "system:linux" }
    prebuildcommands {
      -- Copy shaders
      "cp src/graphics/shaders/fragment.shader ../build/SandboxApplication/Debug/test.fs", 
      "cp src/graphics/shaders/vertex.shader ../build/SandboxApplication/Debug/test.vs",
      "cp src/graphics/shaders/RenderSurfaceFrag.shader ../build/SandboxApplication/Debug/RenderSurface.fs",
      "cp src/graphics/shaders/RenderSurfaceVert.shader ../build/SandboxApplication/Debug/RenderSurface.vs" 
    }

include('../ImGui')
